View Issue Details

IDProjectCategoryView StatusLast Update
00300062.x IDE BugsDebuggerPublic2018-10-25 17:00
ReporterMatthew McInnesAssigned ToAlan Savage 
PriorityMediumSeverityA - Crash/HangReproducibility<25%
Status ClosedResolutionFixed 
PlatformmacOSOSmacOS High SierraOS Version
Product Version2.2.0 
Target Version2.2.1Fixed in Version2.2.1 
Summary0030006: Debugger: Fatal Error dialog upon debugging project
DescriptionI was regressing 0028894, ran the attached project in the debugger, as soon as the runner appeared, so did the fatal error. Unstable error was seen a couple of times in a row, but then restarting the IDE and trying the repro steps below failed to reproduce. This was using the Mac IDE, but no idea if the issue is limited to Mac IDE or not.

Note that I had been successfully using the debugger for other projects previously in this IDE session. You can also see in the log that at the time I got this error, the IDE couldn't connect to the websites we use to confirm internet connection (not sure if this is related).

UI.log shows a number of exceptions near the bottom, including:

[11:54:38:504(6d61)] Exception in YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView,Void DebuggerOnConnectionChanged(YoYoStudio.GMDebug.Networking.eConnectionState) : System.NullReferenceException: Object reference not set to an instance of an object
  at YoYoStudio.GUI.GUIBase.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0
  at YoYoStudio.GUI.Gadgets.TreeViewNode.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x000a3] in <0ac37ea8a5f7463697a7400980d7ddc6>:0
  at YoYoStudio.GUI.GUIBase.FindGadget[T] (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.GUI.Gadgets.TreeViewNode _node, YoYoStudio.MVCFormat.GMResource_Controller _resource, System.Boolean _bDeactivate) [0x0000c] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView+ResourceDataNode _dataNode, System.Boolean _bDeactivate) [0x00012] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.UpdateEmptySourceNodes () [0x000a9] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DebuggerOnConnectionChanged (YoYoStudio.GMDebug.Networking.eConnectionState _connection) [0x00007] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0
  at (wrapper dynamic-method) YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView:WeakDelegate (object,object[])
  at YoYoStudio.Core.Utils.WeakDelegate`1[T].Invoke (System.Object[] _args) [0x00030] in <372833e28974459abb1b1559a84a835d>:0
[11:54:38:506(6d61)] Fatal Error! 'IDE.OnWeakDelegateException - Object reference not set to an instance of an object'
[11:54:38:506(6d61)] at YoYoStudio.GUI.GUIBase.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0
  at YoYoStudio.GUI.Gadgets.TreeViewNode.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x000a3] in <0ac37ea8a5f7463697a7400980d7ddc6>:0
  at YoYoStudio.GUI.GUIBase.FindGadget[T] (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.GUI.Gadgets.TreeViewNode _node, YoYoStudio.MVCFormat.GMResource_Controller _resource, System.Boolean _bDeactivate) [0x0000c] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView+ResourceDataNode _dataNode, System.Boolean _bDeactivate) [0x00012] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.UpdateEmptySourceNodes () [0x000a9] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DebuggerOnConnectionChanged (YoYoStudio.GMDebug.Networking.eConnectionState _connection) [0x00007] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0
  at (wrapper dynamic-method) YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView:WeakDelegate (object,object[])
  at YoYoStudio.Core.Utils.WeakDelegate`1[T].Invoke (System.Object[] _args) [0x00030] in <372833e28974459abb1b1559a84a835d>:0
Steps To Reproduce1) Launch IDE v2.2.0.333 Runtime v2.2.0.251
2) Run attached project in the debugger
3) Wait for runner to appear
4) Observe fatal error
TagsDebugger, IDE, mac
2.x IDE Found In2.2.0.333
2.x Runtime Found In2.2.0.251
2.x IDE Verified In2.2.1.355
2.x Runtime Verified In2.2.1.268

Activities

Matthew McInnes

2018-09-07 12:24

Developer  

DebuggerBug.yyz (103,397 bytes)

Matthew McInnes

2018-09-07 12:26

Developer  

uilog.txt (74,805 bytes)
[11:50:44:3(6d61)] Inner exception: 
[11:50:44:3(6d61)] An error occurred while sending the request
[11:51:29:817(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:51:29:817(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/GMS2 Testbed_example'
[11:51:31:688(6d61)] Searching for processes named 'Mac_Runner'
[11:51:31:856(6d61)] Killing process tree for process 'Mac_Runner, 13763'
[11:51:31:953(6d61)] Searching for processes named 'Runner'
[11:51:32:64(6d61)] Searching for processes named 'WinUAPRunner'
[11:51:32:170(6d61)] Searching for processes named 'GameMakerPlayer'
[11:51:32:303(6d61)] Searching for processes named 'ffmpeg'
[11:51:32:420(6d61)] Searching for processes named 'GMDebug'
[11:51:32:535(6d61)] Searching for processes named 'GMWebServer'
[11:51:32:650(6d61)] Searching for processes named 'GMAssetCompiler'
[11:51:32:780(6d61)] Searching for processes named 'Igor'
[11:51:32:890(6d61)] Searching for processes named 'adb'
[11:51:33:5(6d61)] Searching for processes named 'GMS2 Testbed_example'
[11:51:33:64(6d61)] elapsed time 00:12:59.2634830s for command "/Library/Frameworks/Mono.framework/Versions/Current/Commands/mono" /Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/bin/Igor.exe -options="/var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/GameMakerStudio2/GMS2TEMP/build.bff"  -- Mac Run started at 09/07/2018 11:38:33
[11:51:37:61(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/GMS2 Testbed_example'
[11:51:37:72(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:51:44:960(6d61)] InternalCheckForInternetConnection :: Unable to reach site http://www.baidu.com
[11:51:44:962(6d61)] System.AggregateException: One or more errors occurred. ---> System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Threading.Tasks.Task.ThrowIfExceptional (System.Boolean includeTaskCanceledExceptions) [0x00011] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].GetResultCore (System.Boolean waitCompletionNotification) [0x0002b] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].get_Result () [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at YoYoStudio.Core.Utils.HttpUtil+<InternalCheckForInternetConnection>c__AnonStorey2.<>m__1 (System.String s, System.Threading.Tasks.ParallelLoopState _state) [0x0001c] in <372833e28974459abb1b1559a84a835d>:0 
---> (Inner Exception #0) System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 <---

[11:51:44:962(6d61)] Inner exception: 
[11:51:44:963(6d61)] An error occurred while sending the request
[11:51:45:98(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:51:45:98(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/GMS2 Testbed_example'
[11:51:50:808(6d61)] Importing project '/Users/qayoyo/Downloads/DebuggerBug.yyz'
[11:51:50:809(6d61)] Saving project layout to: /Users/qayoyo/.config/GameMakerStudio2/qa_48/Layouts/GMS2 Testbed_example/GMS2 Testbed_example/f59606b2-cb0f-4f98-b4f5-505b8cfb2f2b.xml
[11:51:50:837(6d61)] ResourceManager resources have been cleared
[11:51:51:119(6d61)] Importing '/Users/qayoyo/Downloads/DebuggerBug.yyz'
[11:51:51:175(6d61)] Discarding document Output
[11:51:51:229(6d61)] Discarding document SearchResults
[11:51:51:254(6d61)] Discarding document SourceControl
[11:51:51:271(6d61)] Setting ProjectFullFilePathMacro to '/Users/qayoyo/GameMakerStudio2/DebuggerBug/DebuggerBug.yyp'
[11:51:51:271(6d61)] Setting ProjectDirMacro to '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:51:51:272(6d61)] Setting ProjectNameMacro to 'DebuggerBug'
[11:51:51:299(6d61)] Loading project layout from: /Users/qayoyo/.config/GameMakerStudio2/qa_48/Layouts/DebuggerBug/DebuggerBug/b7f21549-13f0-4c11-9ffc-c70a9d4f6796.xml
[11:51:51:299(6d61)] File exception 'Could not find file "/Users/qayoyo/.config/GameMakerStudio2/qa_48/Layouts/DebuggerBug/DebuggerBug/b7f21549-13f0-4c11-9ffc-c70a9d4f6796.xml".'
[11:51:51:419(6d61)] File exception 'Could not find file "/Users/qayoyo/.config/GameMakerStudio2/qa_48/Layouts/DebuggerBug/DebuggerBug/breakpoints.json".'
[11:51:51:426(6d61)] Closing debugger socket
[11:51:51:426(6d61)] sender.shutdown exception: The socket is not connected
[11:51:51:428(6d61)] Discarding document ${project_dir}/objects/object_test/Create_0.gml
[11:51:51:647(6d61)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:51:51:726(6d61)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:51:51:787(6d61)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:51:51:869(6d61)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:51:51:885(6d61)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:51:51:921(6d61)] Caught exception for gadget of type 'window' and style 'window'- Error: An anchor or dimension has been set to percentage with no parent gadget, try using pixel instead
[11:51:52:35(6d61)] Loading project '/Users/qayoyo/GameMakerStudio2/DebuggerBug/DebuggerBug.yyp'
[11:51:52:158(6d61)] Creating FolderWatcher at '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:51:52:214(6d61)] Creating FolderWatcher at '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:51:52:264(6d61)] Load project took 00:00:00.2282651
[11:51:52:343(6d61)] IDE: SaveProjectIncremental()
[11:51:52:343(6d61)] Setting FolderWatcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug' to False
[11:51:52:343(6d61)] Saving project to: /Users/qayoyo/GameMakerStudio2/DebuggerBug/DebuggerBug.yyp
[11:51:52:343(6d61)] Saving project at '/Users/qayoyo/GameMakerStudio2/DebuggerBug/DebuggerBug.yyp'
[11:51:52:344(6d61)] Saving 22 resources
[11:51:52:427(6d61)] Save project took 00:00:00.0832210
[11:51:52:427(6d61)] Setting FolderWatcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug' to True
[11:52:30:767(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:52:30:774(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:52:31:327(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:52:31:327(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:52:32:967(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:52:32:972(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:52:38:194(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:52:38:195(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:52:45:689(6d61)] InternalCheckForInternetConnection :: Unable to reach site http://www.baidu.com
[11:52:45:691(6d61)] System.AggregateException: One or more errors occurred. ---> System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Threading.Tasks.Task.ThrowIfExceptional (System.Boolean includeTaskCanceledExceptions) [0x00011] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].GetResultCore (System.Boolean waitCompletionNotification) [0x0002b] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].get_Result () [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at YoYoStudio.Core.Utils.HttpUtil+<InternalCheckForInternetConnection>c__AnonStorey2.<>m__1 (System.String s, System.Threading.Tasks.ParallelLoopState _state) [0x0001c] in <372833e28974459abb1b1559a84a835d>:0 
---> (Inner Exception #0) System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 <---

[11:52:45:691(6d61)] Inner exception: 
[11:52:45:692(6d61)] An error occurred while sending the request
[11:52:51:405(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:52:51:412(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:52:52:551(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:52:52:551(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:53:01:929(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:53:01:939(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:53:04:936(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:53:04:936(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:53:08:275(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:53:08:282(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:53:36:713(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:53:36:714(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:53:37:522(6d61)] Analytics :: No Internet connection so bailing.
[11:53:37:540(6d61)] IDE: SaveProjectIncremental()
[11:53:37:540(6d61)] Setting FolderWatcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug' to False
[11:53:37:541(6d61)] Saving project to: /Users/qayoyo/GameMakerStudio2/DebuggerBug/DebuggerBug.yyp
[11:53:37:541(6d61)] Saving project at '/Users/qayoyo/GameMakerStudio2/DebuggerBug/DebuggerBug.yyp'
[11:53:37:541(6d61)] Save project took 00:00:00.0001350
[11:53:37:542(6d61)] Setting FolderWatcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug' to True
[11:53:37:592(6d61)] starting /Library/Frameworks/Mono.framework/Versions/Current/Commands/mono /Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/bin/Igor.exe -options="/var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/GameMakerStudio2/GMS2TEMP/build.bff"  -- Mac Run
[11:53:41:730(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:53:41:738(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:53:45:983(6d61)] Exception in YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView,Void DebuggerOnConnectionChanged(YoYoStudio.GMDebug.Networking.eConnectionState) :    System.NullReferenceException: Object reference not set to an instance of an object
  at YoYoStudio.GUI.GUIBase.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.GUI.Gadgets.TreeViewNode.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x000a3] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.GUI.GUIBase.FindGadget[T] (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.GUI.Gadgets.TreeViewNode _node, YoYoStudio.MVCFormat.GMResource_Controller _resource, System.Boolean _bDeactivate) [0x0000c] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView+ResourceDataNode _dataNode, System.Boolean _bDeactivate) [0x00012] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.UpdateEmptySourceNodes () [0x000a9] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DebuggerOnConnectionChanged (YoYoStudio.GMDebug.Networking.eConnectionState _connection) [0x00007] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at (wrapper dynamic-method) YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView:WeakDelegate (object,object[])
  at YoYoStudio.Core.Utils.WeakDelegate`1[T].Invoke (System.Object[] _args) [0x00030] in <372833e28974459abb1b1559a84a835d>:0 
[11:53:45:986(6d61)] Fatal Error! 'IDE.OnWeakDelegateException - Object reference not set to an instance of an object'
[11:53:45:986(6d61)]   at YoYoStudio.GUI.GUIBase.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.GUI.Gadgets.TreeViewNode.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x000a3] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.GUI.GUIBase.FindGadget[T] (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.GUI.Gadgets.TreeViewNode _node, YoYoStudio.MVCFormat.GMResource_Controller _resource, System.Boolean _bDeactivate) [0x0000c] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView+ResourceDataNode _dataNode, System.Boolean _bDeactivate) [0x00012] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.UpdateEmptySourceNodes () [0x000a9] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DebuggerOnConnectionChanged (YoYoStudio.GMDebug.Networking.eConnectionState _connection) [0x00007] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at (wrapper dynamic-method) YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView:WeakDelegate (object,object[])
  at YoYoStudio.Core.Utils.WeakDelegate`1[T].Invoke (System.Object[] _args) [0x00030] in <372833e28974459abb1b1559a84a835d>:0 
[11:53:45:987(6d61)] ####################################
[11:53:45:987(6d61)] Break in FatalErrorWarning (IDE:2451)
[11:53:45:987(6d61)] ####################################
[11:53:46:457(6d61)] InternalCheckForInternetConnection :: Unable to reach site http://www.baidu.com
[11:53:46:459(6d61)] System.AggregateException: One or more errors occurred. ---> System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Threading.Tasks.Task.ThrowIfExceptional (System.Boolean includeTaskCanceledExceptions) [0x00011] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].GetResultCore (System.Boolean waitCompletionNotification) [0x0002b] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].get_Result () [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at YoYoStudio.Core.Utils.HttpUtil+<InternalCheckForInternetConnection>c__AnonStorey2.<>m__1 (System.String s, System.Threading.Tasks.ParallelLoopState _state) [0x0001c] in <372833e28974459abb1b1559a84a835d>:0 
---> (Inner Exception #0) System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 <---

[11:53:46:460(6d61)] Inner exception: 
[11:53:46:460(6d61)] An error occurred while sending the request
[11:54:17:693(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:54:17:704(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:54:22:11(6d61)] Searching for processes named 'Mac_Runner'
[11:54:22:158(6d61)] Killing process tree for process 'Mac_Runner, 13932'
[11:54:22:272(6d61)] Searching for processes named 'Runner'
[11:54:22:384(6d61)] Searching for processes named 'WinUAPRunner'
[11:54:22:489(6d61)] Searching for processes named 'GameMakerPlayer'
[11:54:22:598(6d61)] Searching for processes named 'ffmpeg'
[11:54:22:705(6d61)] Searching for processes named 'GMDebug'
[11:54:22:819(6d61)] Searching for processes named 'GMWebServer'
[11:54:22:881(6d61)] elapsed time 00:00:45.2886640s for command "/Library/Frameworks/Mono.framework/Versions/Current/Commands/mono" /Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/bin/Igor.exe -options="/var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/GameMakerStudio2/GMS2TEMP/build.bff"  -- Mac Run started at 09/07/2018 11:53:37
[11:54:22:931(6d61)] Searching for processes named 'GMAssetCompiler'
[11:54:23:40(6d61)] Searching for processes named 'Igor'
[11:54:23:147(6d61)] Searching for processes named 'adb'
[11:54:23:253(6d61)] Searching for processes named 'DebuggerBug'
[11:54:23:366(6d61)] Closing debugger socket
[11:54:23:366(6d61)] sender.shutdown exception: The socket is not connected
[11:54:25:910(6d61)] Analytics :: No Internet connection so bailing.
[11:54:25:912(6d61)] IDE: SaveProjectIncremental()
[11:54:25:912(6d61)] Setting FolderWatcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug' to False
[11:54:25:912(6d61)] Saving project to: /Users/qayoyo/GameMakerStudio2/DebuggerBug/DebuggerBug.yyp
[11:54:25:913(6d61)] Saving project at '/Users/qayoyo/GameMakerStudio2/DebuggerBug/DebuggerBug.yyp'
[11:54:25:913(6d61)] Save project took 00:00:00.0000790
[11:54:25:913(6d61)] Setting FolderWatcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug' to True
[11:54:25:950(6d61)] starting /Library/Frameworks/Mono.framework/Versions/Current/Commands/mono /Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/bin/Igor.exe -options="/var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/GameMakerStudio2/GMS2TEMP/build.bff"  -- Mac Run
[11:54:34:269(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:54:34:297(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:54:38:504(6d61)] Exception in YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView,Void DebuggerOnConnectionChanged(YoYoStudio.GMDebug.Networking.eConnectionState) :    System.NullReferenceException: Object reference not set to an instance of an object
  at YoYoStudio.GUI.GUIBase.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.GUI.Gadgets.TreeViewNode.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x000a3] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.GUI.GUIBase.FindGadget[T] (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.GUI.Gadgets.TreeViewNode _node, YoYoStudio.MVCFormat.GMResource_Controller _resource, System.Boolean _bDeactivate) [0x0000c] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView+ResourceDataNode _dataNode, System.Boolean _bDeactivate) [0x00012] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.UpdateEmptySourceNodes () [0x000a9] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DebuggerOnConnectionChanged (YoYoStudio.GMDebug.Networking.eConnectionState _connection) [0x00007] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at (wrapper dynamic-method) YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView:WeakDelegate (object,object[])
  at YoYoStudio.Core.Utils.WeakDelegate`1[T].Invoke (System.Object[] _args) [0x00030] in <372833e28974459abb1b1559a84a835d>:0 
[11:54:38:506(6d61)] Fatal Error! 'IDE.OnWeakDelegateException - Object reference not set to an instance of an object'
[11:54:38:506(6d61)]   at YoYoStudio.GUI.GUIBase.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.GUI.Gadgets.TreeViewNode.FindGadget (System.String _layoutid, System.Boolean _recurse) [0x000a3] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.GUI.GUIBase.FindGadget[T] (System.String _layoutid, System.Boolean _recurse) [0x00000] in <0ac37ea8a5f7463697a7400980d7ddc6>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.GUI.Gadgets.TreeViewNode _node, YoYoStudio.MVCFormat.GMResource_Controller _resource, System.Boolean _bDeactivate) [0x0000c] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DeactivateNode (YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView+ResourceDataNode _dataNode, System.Boolean _bDeactivate) [0x00012] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.UpdateEmptySourceNodes () [0x000a9] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView.DebuggerOnConnectionChanged (YoYoStudio.GMDebug.Networking.eConnectionState _connection) [0x00007] in <7cfa8066d3fd4d96a524cc8ad2d3e8c4>:0 
  at (wrapper dynamic-method) YoYoStudio.Plugins.CorePlugins.Debugger.Gadgets.Debugger_ResourceView:WeakDelegate (object,object[])
  at YoYoStudio.Core.Utils.WeakDelegate`1[T].Invoke (System.Object[] _args) [0x00030] in <372833e28974459abb1b1559a84a835d>:0 
[11:54:38:507(6d61)] ####################################
[11:54:38:507(6d61)] Break in FatalErrorWarning (IDE:2451)
[11:54:38:507(6d61)] ####################################
[11:54:39:755(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:54:39:756(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:54:46:375(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:54:46:379(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:54:47:433(6d61)] InternalCheckForInternetConnection :: Unable to reach site http://www.baidu.com
[11:54:47:436(6d61)] System.AggregateException: One or more errors occurred. ---> System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Threading.Tasks.Task.ThrowIfExceptional (System.Boolean includeTaskCanceledExceptions) [0x00011] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].GetResultCore (System.Boolean waitCompletionNotification) [0x0002b] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].get_Result () [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at YoYoStudio.Core.Utils.HttpUtil+<InternalCheckForInternetConnection>c__AnonStorey2.<>m__1 (System.String s, System.Threading.Tasks.ParallelLoopState _state) [0x0001c] in <372833e28974459abb1b1559a84a835d>:0 
---> (Inner Exception #0) System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 <---

[11:54:47:437(6d61)] Inner exception: 
[11:54:47:437(6d61)] An error occurred while sending the request
[11:54:57:953(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:54:57:953(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:55:19:258(6d61)] Suspend: Suspended = 1 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:55:19:266(6d61)] Suspend: Suspended = 1 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:55:48:423(6d61)] InternalCheckForInternetConnection :: Unable to reach site http://www.baidu.com
[11:55:48:425(6d61)] System.AggregateException: One or more errors occurred. ---> System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Threading.Tasks.Task.ThrowIfExceptional (System.Boolean includeTaskCanceledExceptions) [0x00011] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].GetResultCore (System.Boolean waitCompletionNotification) [0x0002b] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].get_Result () [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at YoYoStudio.Core.Utils.HttpUtil+<InternalCheckForInternetConnection>c__AnonStorey2.<>m__1 (System.String s, System.Threading.Tasks.ParallelLoopState _state) [0x0001c] in <372833e28974459abb1b1559a84a835d>:0 
---> (Inner Exception #0) System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 <---

[11:55:48:426(6d61)] Inner exception: 
[11:55:48:426(6d61)] An error occurred while sending the request
[11:56:48:655(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/qayoyo/GameMakerStudio2/DebuggerBug'
[11:56:48:656(6d61)] ResumeThread: Suspended = 0 for watcher '/Users/Shared/GameMakerStudio2/Cache/runtimes/runtime-2.2.0.251/BaseProject'
[11:56:50:533(6d61)] InternalCheckForInternetConnection :: Unable to reach site http://www.baidu.com
[11:56:50:536(6d61)] System.AggregateException: One or more errors occurred. ---> System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Threading.Tasks.Task.ThrowIfExceptional (System.Boolean includeTaskCanceledExceptions) [0x00011] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].GetResultCore (System.Boolean waitCompletionNotification) [0x0002b] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Threading.Tasks.Task`1[TResult].get_Result () [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at YoYoStudio.Core.Utils.HttpUtil+<InternalCheckForInternetConnection>c__AnonStorey2.<>m__1 (System.String s, System.Threading.Tasks.ParallelLoopState _state) [0x0001c] in <372833e28974459abb1b1559a84a835d>:0 
---> (Inner Exception #0) System.Net.Http.HttpRequestException: An error occurred while sending the request ---> System.Net.WebException: Error: ConnectFailure (Connection refused) ---> System.Net.Sockets.SocketException: Connection refused
  at System.Net.Sockets.Socket.Connect (System.Net.EndPoint remoteEP) [0x000b6] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Net.WebConnection.Connect (System.Net.HttpWebRequest request) [0x0016d] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
   --- End of inner exception stack trace ---
  at System.Net.HttpWebRequest.EndGetResponse (System.IAsyncResult asyncResult) [0x00058] in <f59da151032a4cc38ecf96f0c7b58a7c>:0 
  at System.Threading.Tasks.TaskFactory`1[TResult].FromAsyncCoreLogic (System.IAsyncResult iar, System.Func`2[T,TResult] endFunction, System.Action`1[T] endAction, System.Threading.Tasks.Task`1[TResult] promise, System.Boolean requiresSynchronization) [0x0000f] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x00450] in <84d6ebf046f0477e846637ee6da5923f>:0 
   --- End of inner exception stack trace ---
  at System.Net.Http.HttpClientHandler+<SendAsync>d__63.MoveNext () [0x004ab] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<SendAsyncWorker>d__46.MoveNext () [0x000ca] in <84d6ebf046f0477e846637ee6da5923f>:0 
--- End of stack trace from previous location where exception was thrown ---
  at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess (System.Threading.Tasks.Task task) [0x0003e] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification (System.Threading.Tasks.Task task) [0x00028] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd (System.Threading.Tasks.Task task) [0x00008] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Runtime.CompilerServices.ConfiguredTaskAwaitable`1+ConfiguredTaskAwaiter[TResult].GetResult () [0x00000] in <c461b9dbb8564e0d8f64326de4e81b94>:0 
  at System.Net.Http.HttpClient+<GetStringAsync>d__51.MoveNext () [0x0007d] in <84d6ebf046f0477e846637ee6da5923f>:0 <---

[11:56:50:536(6d61)] Inner exception: 
[11:56:50:536(6d61)] An error occurred while sending the request
[11:56:52:309(6d61)] Saving project layout to: /Users/qayoyo/.config/GameMakerStudio2/qa_48/Layouts/DebuggerBug/DebuggerBug/b7f21549-13f0-4c11-9ffc-c70a9d4f6796.xml
[11:56:52:340(6d61)] ResourceManager resources have been cleared
[11:56:52:667(6d61)] Deleting temp directory /var/folders/p4/_gk700qx7z37ssf61fzltm4m0000gn/GameMakerStudio2/GMS2TEMP
[11:56:53:640(6d61)] Discarding document Output
[11:56:53:644(6d61)] Error: trying to deactivate an unregistered module.(type of YoYoStudio.Plugins.CorePlugins.OutputWindows.DefaultOutputWindow)
[11:56:53:645(6d61)] Discarding document SearchResults
[11:56:53:649(6d61)] Error: trying to deactivate an unregistered module.(type of YoYoStudio.Plugins.CorePlugins.OutputWindows.SearchOutputWindow)
[11:56:53:650(6d61)] Discarding document SourceControl
[11:56:53:655(6d61)] Error: trying to deactivate an unregistered module.(type of YoYoStudio.Plugins.CorePlugins.OutputWindows.SourceControlOutputWindow)
[11:56:53:889(6d61)] Aborting incremental save, ProjectClosing='False', IsProjectLoaded()='False'
uilog.txt (74,805 bytes)

Alan Savage

2018-10-01 12:41

Developer   ~0061687

was able to reproduce this on windows also (can happen when the debugger resource view has been closed)